<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [probe](./bitburner.darknet.probe.md)

## Darknet.probe() method

Returns a list of all darknet servers connected to the script's current server. For example, if called from a script running on `home`<!-- -->, it will return `["darkweb"]`<!-- -->. It will return an empty list if there are no darknet servers connected to the current server.

Note that there is no guarantee about the order of servers in the returned list.

**Signature:**

```typescript
probe(returnByIP?: boolean): string[];
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

returnByIP


</td><td>

boolean


</td><td>

_(Optional)_ Optional. Controls whether the function returns IPs instead of hostnames. Defaults to false.


</td></tr>
</tbody></table>

**Returns:**

string\[\]

An array of strings containing the hostnames/IPs of all servers connected to the current server.

## Remarks

RAM cost: 0.2 GB

